/*
-----------------------------------------------------
SQLITEContractGen.py 2.0

This file was autogenerated with run cmd:
  "gen_scripts/SQLITEContractGen.py --packagename=org.frc836.database --classname=FRCScoutingContract --infile=FRC_Scouting_Server/scouting.sql --outfile=app/src/main/java/org/frc836/database/FRCScoutingContract.java"

python version info:
  3.13.1 (main, Dec  4 2024, 18:05:56) [GCC 14.2.1 20240910]

Please take heed of modifying unnecessarily
-----------------------------------------------------
*/

package org.frc836.database;

import android.provider.BaseColumns;

public final class FRCScoutingContract {
	public FRCScoutingContract() {}

    public static abstract class DEGRADE_LU_Entry implements BaseColumns {
        public static final String TABLE_NAME = "degrade_lu";
        public static final String COLUMN_NAME_ID = "id";
        public static final String COLUMN_NAME_KEYSTRING = "keystring";
        public static final String COLUMN_NAME_INTVALUE = "intvalue";
        public static final String COLUMN_NAME_STRINGVAL = "stringval";
        public static final String COLUMN_NAME_TIMESTAMP = "timestamp";
        public static final String COLUMN_NAME_INVALID = "invalid";
    }
    
    public static abstract class DRIVE_LU_Entry implements BaseColumns {
        public static final String TABLE_NAME = "drive_lu";
        public static final String COLUMN_NAME_ID = "id";
        public static final String COLUMN_NAME_DRIVE_NAME = "drive_name";
        public static final String COLUMN_NAME_TIMESTAMP = "timestamp";
        public static final String COLUMN_NAME_INVALID = "invalid";
    }
    
    public static abstract class EVENT_LU_Entry implements BaseColumns {
        public static final String TABLE_NAME = "event_lu";
        public static final String COLUMN_NAME_ID = "id";
        public static final String COLUMN_NAME_EVENT_NAME = "event_name";
        public static final String COLUMN_NAME_EVENT_CODE = "event_code";
        public static final String COLUMN_NAME_DATE_START = "date_start";
        public static final String COLUMN_NAME_TIMESTAMP = "timestamp";
        public static final String COLUMN_NAME_INVALID = "invalid";
    }
    
    public static abstract class FACT_MATCH_DATA_2025_Entry implements BaseColumns {
        public static final String TABLE_NAME = "fact_match_data_2025";
        public static final String COLUMN_NAME_ID = "id";
        public static final String COLUMN_NAME_EVENT_ID = "event_id";
        public static final String COLUMN_NAME_TEAM_ID = "team_id";
        public static final String COLUMN_NAME_MATCH_ID = "match_id";
        public static final String COLUMN_NAME_PRACTICE_MATCH = "practice_match";
        public static final String COLUMN_NAME_POSITION_ID = "position_id";
        public static final String COLUMN_NAME_AUTO_BARGE_ZONE_ID = "auto_barge_zone_id";
        public static final String COLUMN_NAME_AUTO_FIRST_FACE_ID = "auto_first_face_id";
        public static final String COLUMN_NAME_AUTO_GROUND_FACE_ID = "auto_ground_face_id";
        public static final String COLUMN_NAME_AUTO_LEAVE = "auto_leave";
        public static final String COLUMN_NAME_AUTO_PLAYER_CENTER_L1_SCORE = "auto_player_center_l1_score";
        public static final String COLUMN_NAME_AUTO_PLAYER_CENTER_L2_SCORE = "auto_player_center_l2_score";
        public static final String COLUMN_NAME_AUTO_PLAYER_CENTER_L3_SCORE = "auto_player_center_l3_score";
        public static final String COLUMN_NAME_AUTO_PLAYER_CENTER_L4_SCORE = "auto_player_center_l4_score";
        public static final String COLUMN_NAME_AUTO_PLAYER_CENTER_L1_MISS = "auto_player_center_l1_miss";
        public static final String COLUMN_NAME_AUTO_PLAYER_CENTER_L2_MISS = "auto_player_center_l2_miss";
        public static final String COLUMN_NAME_AUTO_PLAYER_CENTER_L3_MISS = "auto_player_center_l3_miss";
        public static final String COLUMN_NAME_AUTO_PLAYER_CENTER_L4_MISS = "auto_player_center_l4_miss";
        public static final String COLUMN_NAME_AUTO_PLAYER_LEFT_L1_SCORE = "auto_player_left_l1_score";
        public static final String COLUMN_NAME_AUTO_PLAYER_LEFT_L2_SCORE = "auto_player_left_l2_score";
        public static final String COLUMN_NAME_AUTO_PLAYER_LEFT_L3_SCORE = "auto_player_left_l3_score";
        public static final String COLUMN_NAME_AUTO_PLAYER_LEFT_L4_SCORE = "auto_player_left_l4_score";
        public static final String COLUMN_NAME_AUTO_PLAYER_LEFT_L1_MISS = "auto_player_left_l1_miss";
        public static final String COLUMN_NAME_AUTO_PLAYER_LEFT_L2_MISS = "auto_player_left_l2_miss";
        public static final String COLUMN_NAME_AUTO_PLAYER_LEFT_L3_MISS = "auto_player_left_l3_miss";
        public static final String COLUMN_NAME_AUTO_PLAYER_LEFT_L4_MISS = "auto_player_left_l4_miss";
        public static final String COLUMN_NAME_AUTO_PLAYER_RIGHT_L1_SCORE = "auto_player_right_l1_score";
        public static final String COLUMN_NAME_AUTO_PLAYER_RIGHT_L2_SCORE = "auto_player_right_l2_score";
        public static final String COLUMN_NAME_AUTO_PLAYER_RIGHT_L3_SCORE = "auto_player_right_l3_score";
        public static final String COLUMN_NAME_AUTO_PLAYER_RIGHT_L4_SCORE = "auto_player_right_l4_score";
        public static final String COLUMN_NAME_AUTO_PLAYER_RIGHT_L1_MISS = "auto_player_right_l1_miss";
        public static final String COLUMN_NAME_AUTO_PLAYER_RIGHT_L2_MISS = "auto_player_right_l2_miss";
        public static final String COLUMN_NAME_AUTO_PLAYER_RIGHT_L3_MISS = "auto_player_right_l3_miss";
        public static final String COLUMN_NAME_AUTO_PLAYER_RIGHT_L4_MISS = "auto_player_right_l4_miss";
        public static final String COLUMN_NAME_AUTO_FAR_CENTER_L1_SCORE = "auto_far_center_l1_score";
        public static final String COLUMN_NAME_AUTO_FAR_CENTER_L2_SCORE = "auto_far_center_l2_score";
        public static final String COLUMN_NAME_AUTO_FAR_CENTER_L3_SCORE = "auto_far_center_l3_score";
        public static final String COLUMN_NAME_AUTO_FAR_CENTER_L4_SCORE = "auto_far_center_l4_score";
        public static final String COLUMN_NAME_AUTO_FAR_CENTER_L1_MISS = "auto_far_center_l1_miss";
        public static final String COLUMN_NAME_AUTO_FAR_CENTER_L2_MISS = "auto_far_center_l2_miss";
        public static final String COLUMN_NAME_AUTO_FAR_CENTER_L3_MISS = "auto_far_center_l3_miss";
        public static final String COLUMN_NAME_AUTO_FAR_CENTER_L4_MISS = "auto_far_center_l4_miss";
        public static final String COLUMN_NAME_AUTO_FAR_LEFT_L1_SCORE = "auto_far_left_l1_score";
        public static final String COLUMN_NAME_AUTO_FAR_LEFT_L2_SCORE = "auto_far_left_l2_score";
        public static final String COLUMN_NAME_AUTO_FAR_LEFT_L3_SCORE = "auto_far_left_l3_score";
        public static final String COLUMN_NAME_AUTO_FAR_LEFT_L4_SCORE = "auto_far_left_l4_score";
        public static final String COLUMN_NAME_AUTO_FAR_LEFT_L1_MISS = "auto_far_left_l1_miss";
        public static final String COLUMN_NAME_AUTO_FAR_LEFT_L2_MISS = "auto_far_left_l2_miss";
        public static final String COLUMN_NAME_AUTO_FAR_LEFT_L3_MISS = "auto_far_left_l3_miss";
        public static final String COLUMN_NAME_AUTO_FAR_LEFT_L4_MISS = "auto_far_left_l4_miss";
        public static final String COLUMN_NAME_AUTO_FAR_RIGHT_L1_SCORE = "auto_far_right_l1_score";
        public static final String COLUMN_NAME_AUTO_FAR_RIGHT_L2_SCORE = "auto_far_right_l2_score";
        public static final String COLUMN_NAME_AUTO_FAR_RIGHT_L3_SCORE = "auto_far_right_l3_score";
        public static final String COLUMN_NAME_AUTO_FAR_RIGHT_L4_SCORE = "auto_far_right_l4_score";
        public static final String COLUMN_NAME_AUTO_FAR_RIGHT_L1_MISS = "auto_far_right_l1_miss";
        public static final String COLUMN_NAME_AUTO_FAR_RIGHT_L2_MISS = "auto_far_right_l2_miss";
        public static final String COLUMN_NAME_AUTO_FAR_RIGHT_L3_MISS = "auto_far_right_l3_miss";
        public static final String COLUMN_NAME_AUTO_FAR_RIGHT_L4_MISS = "auto_far_right_l4_miss";
        public static final String COLUMN_NAME_AUTO_PROCESSOR_SCORE = "auto_processor_score";
        public static final String COLUMN_NAME_AUTO_PROCESSOR_MISS = "auto_processor_miss";
        public static final String COLUMN_NAME_AUTO_NET_SCORE = "auto_net_score";
        public static final String COLUMN_NAME_AUTO_NET_MISS = "auto_net_miss";
        public static final String COLUMN_NAME_AUTO_L2_ALGAE_REMOVED = "auto_l2_algae_removed";
        public static final String COLUMN_NAME_AUTO_L3_ALGAE_REMOVED = "auto_l3_algae_removed";
        public static final String COLUMN_NAME_AUTO_CORAL_INTAKE_GROUND_LEFT = "auto_coral_intake_ground_left";
        public static final String COLUMN_NAME_AUTO_CORAL_INTAKE_GROUND_CENTER = "auto_coral_intake_ground_center";
        public static final String COLUMN_NAME_AUTO_CORAL_INTAKE_GROUND_RIGHT = "auto_coral_intake_ground_right";
        public static final String COLUMN_NAME_AUTO_ALGAE_INTAKE_GROUND_LEFT = "auto_algae_intake_ground_left";
        public static final String COLUMN_NAME_AUTO_ALGAE_INTAKE_GROUND_CENTER = "auto_algae_intake_ground_center";
        public static final String COLUMN_NAME_AUTO_ALGAE_INTAKE_GROUND_RIGHT = "auto_algae_intake_ground_right";
        public static final String COLUMN_NAME_AUTO_ALGAE_DISCARDED = "auto_algae_discarded";
        public static final String COLUMN_NAME_AUTO_FEEDER_STATION_ID = "auto_feeder_station_id";
        public static final String COLUMN_NAME_AUTO_STOP = "auto_stop";
        public static final String COLUMN_NAME_PLAYER_CENTER_L1_SCORE = "player_center_l1_score";
        public static final String COLUMN_NAME_PLAYER_CENTER_L2_SCORE = "player_center_l2_score";
        public static final String COLUMN_NAME_PLAYER_CENTER_L3_SCORE = "player_center_l3_score";
        public static final String COLUMN_NAME_PLAYER_CENTER_L4_SCORE = "player_center_l4_score";
        public static final String COLUMN_NAME_PLAYER_CENTER_L1_MISS = "player_center_l1_miss";
        public static final String COLUMN_NAME_PLAYER_CENTER_L2_MISS = "player_center_l2_miss";
        public static final String COLUMN_NAME_PLAYER_CENTER_L3_MISS = "player_center_l3_miss";
        public static final String COLUMN_NAME_PLAYER_CENTER_L4_MISS = "player_center_l4_miss";
        public static final String COLUMN_NAME_PLAYER_LEFT_L1_SCORE = "player_left_l1_score";
        public static final String COLUMN_NAME_PLAYER_LEFT_L2_SCORE = "player_left_l2_score";
        public static final String COLUMN_NAME_PLAYER_LEFT_L3_SCORE = "player_left_l3_score";
        public static final String COLUMN_NAME_PLAYER_LEFT_L4_SCORE = "player_left_l4_score";
        public static final String COLUMN_NAME_PLAYER_LEFT_L1_MISS = "player_left_l1_miss";
        public static final String COLUMN_NAME_PLAYER_LEFT_L2_MISS = "player_left_l2_miss";
        public static final String COLUMN_NAME_PLAYER_LEFT_L3_MISS = "player_left_l3_miss";
        public static final String COLUMN_NAME_PLAYER_LEFT_L4_MISS = "player_left_l4_miss";
        public static final String COLUMN_NAME_PLAYER_RIGHT_L1_SCORE = "player_right_l1_score";
        public static final String COLUMN_NAME_PLAYER_RIGHT_L2_SCORE = "player_right_l2_score";
        public static final String COLUMN_NAME_PLAYER_RIGHT_L3_SCORE = "player_right_l3_score";
        public static final String COLUMN_NAME_PLAYER_RIGHT_L4_SCORE = "player_right_l4_score";
        public static final String COLUMN_NAME_PLAYER_RIGHT_L1_MISS = "player_right_l1_miss";
        public static final String COLUMN_NAME_PLAYER_RIGHT_L2_MISS = "player_right_l2_miss";
        public static final String COLUMN_NAME_PLAYER_RIGHT_L3_MISS = "player_right_l3_miss";
        public static final String COLUMN_NAME_PLAYER_RIGHT_L4_MISS = "player_right_l4_miss";
        public static final String COLUMN_NAME_FAR_CENTER_L1_SCORE = "far_center_l1_score";
        public static final String COLUMN_NAME_FAR_CENTER_L2_SCORE = "far_center_l2_score";
        public static final String COLUMN_NAME_FAR_CENTER_L3_SCORE = "far_center_l3_score";
        public static final String COLUMN_NAME_FAR_CENTER_L4_SCORE = "far_center_l4_score";
        public static final String COLUMN_NAME_FAR_CENTER_L1_MISS = "far_center_l1_miss";
        public static final String COLUMN_NAME_FAR_CENTER_L2_MISS = "far_center_l2_miss";
        public static final String COLUMN_NAME_FAR_CENTER_L3_MISS = "far_center_l3_miss";
        public static final String COLUMN_NAME_FAR_CENTER_L4_MISS = "far_center_l4_miss";
        public static final String COLUMN_NAME_FAR_LEFT_L1_SCORE = "far_left_l1_score";
        public static final String COLUMN_NAME_FAR_LEFT_L2_SCORE = "far_left_l2_score";
        public static final String COLUMN_NAME_FAR_LEFT_L3_SCORE = "far_left_l3_score";
        public static final String COLUMN_NAME_FAR_LEFT_L4_SCORE = "far_left_l4_score";
        public static final String COLUMN_NAME_FAR_LEFT_L1_MISS = "far_left_l1_miss";
        public static final String COLUMN_NAME_FAR_LEFT_L2_MISS = "far_left_l2_miss";
        public static final String COLUMN_NAME_FAR_LEFT_L3_MISS = "far_left_l3_miss";
        public static final String COLUMN_NAME_FAR_LEFT_L4_MISS = "far_left_l4_miss";
        public static final String COLUMN_NAME_FAR_RIGHT_L1_SCORE = "far_right_l1_score";
        public static final String COLUMN_NAME_FAR_RIGHT_L2_SCORE = "far_right_l2_score";
        public static final String COLUMN_NAME_FAR_RIGHT_L3_SCORE = "far_right_l3_score";
        public static final String COLUMN_NAME_FAR_RIGHT_L4_SCORE = "far_right_l4_score";
        public static final String COLUMN_NAME_FAR_RIGHT_L1_MISS = "far_right_l1_miss";
        public static final String COLUMN_NAME_FAR_RIGHT_L2_MISS = "far_right_l2_miss";
        public static final String COLUMN_NAME_FAR_RIGHT_L3_MISS = "far_right_l3_miss";
        public static final String COLUMN_NAME_FAR_RIGHT_L4_MISS = "far_right_l4_miss";
        public static final String COLUMN_NAME_PROCESSOR_SCORE = "processor_score";
        public static final String COLUMN_NAME_PROCESSOR_MISS = "processor_miss";
        public static final String COLUMN_NAME_NET_SCORE = "net_score";
        public static final String COLUMN_NAME_NET_MISS = "net_miss";
        public static final String COLUMN_NAME_L2_ALGAE_REMOVED = "l2_algae_removed";
        public static final String COLUMN_NAME_L3_ALGAE_REMOVED = "l3_algae_removed";
        public static final String COLUMN_NAME_CONTROLLED_ALGAE_REMOVAL = "controlled_algae_removal";
        public static final String COLUMN_NAME_CAN_LAUNCH_ALGAE_OVER_BARGE = "can_launch_algae_over_barge";
        public static final String COLUMN_NAME_CAN_PROPEL_ALGAE_THROUGH_BARGE = "can_propel_algae_through_barge";
        public static final String COLUMN_NAME_CAN_PLACE_ALGAE_PRECISELY = "can_place_algae_precisely";
        public static final String COLUMN_NAME_SCORES_ALLOWED_WHILE_DEF = "scores_allowed_while_def";
        public static final String COLUMN_NAME_ALGAE_STOLEN_FROM_OPP = "algae_stolen_from_opp";
        public static final String COLUMN_NAME_ALGAE_STOLEN_BY_OPP = "algae_stolen_by_opp";
        public static final String COLUMN_NAME_DEEP_CLIMB_SUCCESS = "deep_climb_success";
        public static final String COLUMN_NAME_DEEP_CLIMB_UNSUCCESSFUL_ATTEMPT = "deep_climb_unsuccessful_attempt";
        public static final String COLUMN_NAME_SHALLOW_CLIMB_SUCCESS = "shallow_climb_success";
        public static final String COLUMN_NAME_SHALLOW_CLIMB_UNSUCCESSFUL_ATTEMPT = "shallow_climb_unsuccessful_attempt";
        public static final String COLUMN_NAME_BARGE_PARK = "barge_park";
        public static final String COLUMN_NAME_BUDDY_CLIMB = "buddy_climb";
        public static final String COLUMN_NAME_DEGRADED_PERFORMANCE = "degraded_performance";
        public static final String COLUMN_NAME_DEGRADE_CAUSES_ID = "degrade_causes_id";
        public static final String COLUMN_NAME_CAUSES_PENALTIES = "causes_penalties";
        public static final String COLUMN_NAME_YELLOW_CARD = "yellow_card";
        public static final String COLUMN_NAME_RED_CARD = "red_card";
        public static final String COLUMN_NAME_NO_SHOW = "no_show";
        public static final String COLUMN_NAME_NO_SHOW_W_REP = "no_show_w_rep";
        public static final String COLUMN_NAME_NOTES = "notes";
        public static final String COLUMN_NAME_INVALID = "invalid";
        public static final String COLUMN_NAME_TIMESTAMP = "timestamp";
    }
    
    public static abstract class GAME_INFO_Entry implements BaseColumns {
        public static final String TABLE_NAME = "game_info";
        public static final String COLUMN_NAME_ID = "id";
        public static final String COLUMN_NAME_KEYSTRING = "keystring";
        public static final String COLUMN_NAME_INTVALUE = "intvalue";
        public static final String COLUMN_NAME_STRINGVAL = "stringval";
        public static final String COLUMN_NAME_TIMESTAMP = "timestamp";
        public static final String COLUMN_NAME_INVALID = "invalid";
    }
    
    public static abstract class NOTES_OPTIONS_Entry implements BaseColumns {
        public static final String TABLE_NAME = "notes_options";
        public static final String COLUMN_NAME_ID = "id";
        public static final String COLUMN_NAME_OPTION_TEXT = "option_text";
        public static final String COLUMN_NAME_TIMESTAMP = "timestamp";
        public static final String COLUMN_NAME_INVALID = "invalid";
    }
    
    public static abstract class POSITION_LU_Entry implements BaseColumns {
        public static final String TABLE_NAME = "position_lu";
        public static final String COLUMN_NAME_ID = "id";
        public static final String COLUMN_NAME_POSITION = "position";
        public static final String COLUMN_NAME_TIMESTAMP = "timestamp";
        public static final String COLUMN_NAME_INVALID = "invalid";
    }
    
    public static abstract class ROBOT_CG_LU_Entry implements BaseColumns {
        public static final String TABLE_NAME = "robot_cg_lu";
        public static final String COLUMN_NAME_ID = "id";
        public static final String COLUMN_NAME_CG_TYPE = "cg_type";
        public static final String COLUMN_NAME_TIMESTAMP = "timestamp";
        public static final String COLUMN_NAME_INVALID = "invalid";
    }
    
    public static abstract class ROBOT_LU_Entry implements BaseColumns {
        public static final String TABLE_NAME = "robot_lu";
        public static final String COLUMN_NAME_ID = "id";
        public static final String COLUMN_NAME_TEAM_ID = "team_id";
        public static final String COLUMN_NAME_ROBOT_PHOTO = "robot_photo";
        public static final String COLUMN_NAME_TIMESTAMP = "timestamp";
        public static final String COLUMN_NAME_INVALID = "invalid";
    }
    
    public static abstract class SCOUT_PIT_DATA_2025_Entry implements BaseColumns {
        public static final String TABLE_NAME = "scout_pit_data_2025";
        public static final String COLUMN_NAME_ID = "id";
        public static final String COLUMN_NAME_EVENT_ID = "event_id";
        public static final String COLUMN_NAME_TEAM_ID = "team_id";
        public static final String COLUMN_NAME_PASS_NUMBER = "pass_number";
        public static final String COLUMN_NAME_ROBOT_INSPECTION_WEIGHT_LBS = "robot_inspection_weight_lbs";
        public static final String COLUMN_NAME_ROBOT_WHEEL_WIDTH_IN = "robot_wheel_width_in";
        public static final String COLUMN_NAME_DRIVE_ID = "drive_id";
        public static final String COLUMN_NAME_ROBOT_CG_ID = "robot_cg_id";
        public static final String COLUMN_NAME_CAN_SCORE_PROC = "can_score_proc";
        public static final String COLUMN_NAME_CAN_REEF_INTAKE_ALGAE = "can_reef_intake_algae";
        public static final String COLUMN_NAME_CAN_GROUND_INTAKE_ALGAE = "can_ground_intake_algae";
        public static final String COLUMN_NAME_CAN_GROUND_INTAKE_CORAL = "can_ground_intake_coral";
        public static final String COLUMN_NAME_CAN_STATION_INTAKE_CORAL = "can_station_intake_coral";
        public static final String COLUMN_NAME_CAN_REMOVE_ALGAE_L2 = "can_remove_algae_l2";
        public static final String COLUMN_NAME_CAN_REMOVE_ALGAE_L3 = "can_remove_algae_l3";
        public static final String COLUMN_NAME_CAN_CARRY_BOTH_SIMUL = "can_carry_both_simul";
        public static final String COLUMN_NAME_CAN_SCORE_ON_INTAKE_SIDE = "can_score_on_intake_side";
        public static final String COLUMN_NAME_CAN_SCORE_OPP_INTAKE_SIDE = "can_score_opp_intake_side";
        public static final String COLUMN_NAME_CAN_SCORE_PERP_INTAKE_SIDE = "can_score_perp_intake_side";
        public static final String COLUMN_NAME_HAS_CORAL_TUNNEL = "has_coral_tunnel";
        public static final String COLUMN_NAME_CAN_MANIP_CORAL_ANGLE = "can_manip_coral_angle";
        public static final String COLUMN_NAME_CAN_EXTEND_ARM_IN_MOTION = "can_extend_arm_in_motion";
        public static final String COLUMN_NAME_CORAL_SCORING_SIDE_WIDTH_IN = "coral_scoring_side_width_in";
        public static final String COLUMN_NAME_CORAL_INTAKE_SIDE_WIDTH_IN = "coral_intake_side_width_in";
        public static final String COLUMN_NAME_NOTES = "notes";
        public static final String COLUMN_NAME_INVALID = "invalid";
        public static final String COLUMN_NAME_TIMESTAMP = "timestamp";
    }
    
    public static abstract class SUPERSCOUT_DATA_2025_Entry implements BaseColumns {
        public static final String TABLE_NAME = "superscout_data_2025";
        public static final String COLUMN_NAME_ID = "id";
        public static final String COLUMN_NAME_EVENT_ID = "event_id";
        public static final String COLUMN_NAME_TEAM_ID = "team_id";
        public static final String COLUMN_NAME_MATCH_ID = "match_id";
        public static final String COLUMN_NAME_PRACTICE_MATCH = "practice_match";
        public static final String COLUMN_NAME_POSITION_ID = "position_id";
        public static final String COLUMN_NAME_ROBOT_DRIVE_SPEED = "robot_drive_speed";
        public static final String COLUMN_NAME_TIME_TO_OPP_ALGAE = "time_to_opp_algae";
        public static final String COLUMN_NAME_CORAL_INTAKE_SPEED_GROUND = "coral_intake_speed_ground";
        public static final String COLUMN_NAME_CORAL_INTAKE_SPEED_STATION = "coral_intake_speed_station";
        public static final String COLUMN_NAME_ALGAE_INTAKE_SPEED_GROUND = "algae_intake_speed_ground";
        public static final String COLUMN_NAME_ALGAE_INTAKE_SPEED_REEF = "algae_intake_speed_reef";
        public static final String COLUMN_NAME_OPPORTUNISTIC_DEFENSE = "opportunistic_defense";
        public static final String COLUMN_NAME_ALGAE_REMOVAL_SPEED = "algae_removal_speed";
        public static final String COLUMN_NAME_NET_SCORING_SPEED = "net_scoring_speed";
        public static final String COLUMN_NAME_PROCESSOR_SCORING_SPEED = "processor_scoring_speed";
        public static final String COLUMN_NAME_L1_SCORING_SPEED = "l1_scoring_speed";
        public static final String COLUMN_NAME_L2_L3_SCORING_SPEED = "l2_l3_scoring_speed";
        public static final String COLUMN_NAME_L4_SCORING_SPEED = "l4_scoring_speed";
        public static final String COLUMN_NAME_L2_L3_DIFFERENCE = "l2_l3_difference";
        public static final String COLUMN_NAME_EASILY_DEFENDED = "easily_defended";
        public static final String COLUMN_NAME_TIPPY = "tippy";
        public static final String COLUMN_NAME_NOTES = "notes";
        public static final String COLUMN_NAME_INVALID = "invalid";
        public static final String COLUMN_NAME_TIMESTAMP = "timestamp";
    }

    public static final String[] SQL_CREATE_ENTRIES = {
        "CREATE TABLE IF NOT EXISTS degrade_lu (\n" +
        "    id integer primary key autoincrement,\n" +
        "    keystring text NOT NULL,\n" +
        "    intvalue int(15) NOT NULL,\n" +
        "    stringval text NOT NULL,\n" +
        "    timestamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,\n" +
        "    invalid tinyint(1) NOT NULL DEFAULT '0'\n" +
        ");",
    
        "INSERT INTO degrade_lu\n" +
        "SELECT 1 AS id, 'dead' AS keystring, 1 AS intvalue, 'Dead on Field' AS stringval, '2025-01-20 12:00:00' AS timestamp, 0 AS invalid\n" +
        "UNION SELECT 2, 'disconn', 2, 'Robot Disconnected', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 3, 'e_stop', 4, 'Emergency Stop', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 4, 'stutter', 8, 'Robot Stuttering', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 5, 'parts', 16, 'Robot Losing Parts', '2025-01-20 12:00:00', 0;",
    
        "CREATE TABLE IF NOT EXISTS drive_lu (\n" +
        "    id integer primary key autoincrement,\n" +
        "    drive_name text NOT NULL,\n" +
        "    timestamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,\n" +
        "    invalid tinyint(1) NOT NULL DEFAULT '0'\n" +
        ");",
    
        "INSERT INTO drive_lu\n" +
        "SELECT 1 AS id, 'Unknown' AS drive_name, '2025-01-20 12:00:00' AS timestamp, 0 AS invalid\n" +
        "UNION SELECT 2, 'Tank', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 3, 'Mechanum', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 4, 'Omni', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 5, 'Swerve', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 6, 'Other', '2025-01-20 12:00:00', 0;",
    
        "CREATE TABLE IF NOT EXISTS event_lu (\n" +
        "    id integer primary key autoincrement,\n" +
        "    event_name text NOT NULL,\n" +
        "    event_code text NOT NULL,\n" +
        "    date_start datetime NOT NULL,\n" +
        "    timestamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,\n" +
        "    invalid tinyint(1) NOT NULL DEFAULT '0'\n" +
        ");",
    
        "INSERT INTO event_lu\n" +
        "SELECT 1 AS id, 'Rocket City Regional' AS event_name, 'ALHU' AS event_code, '2025-03-12 00:00:00' AS date_start, '2025-02-15 14:34:36' AS timestamp, 0 AS invalid\n" +
        "UNION SELECT 2, 'FIRST Championship - FIRST Robotics Competition - Archimedes Division', 'ARCHIMEDES', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 3, 'Arkansas Regional', 'ARLI', '2025-03-05 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 4, 'Southern Cross Regional', 'AUSC', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 5, 'Arizona North Regional', 'AZFG', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 6, 'Arizona East Regional', 'AZGL', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 7, 'Canadian Pacific Regional', 'BCVI', '2025-02-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 8, 'Regional Brazil - Brasilia', 'BRBA', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 9, 'Regional Brazil - São Paulo', 'BRSP', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 10, 'Aerospace Valley Regional', 'CAAV', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 11, 'East Bay Regional', 'CABE', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 12, 'Sacramento Regional', 'CADA', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 13, 'Central Valley Regional', 'CAFR', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 14, 'Los Angeles Regional', 'CALA', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 15, 'Pinnacles Regional', 'CAMB', '2025-02-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 16, 'Orange County Regional', 'CAOC', '2025-02-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 17, 'Hueneme Port Regional', 'CAPH', '2025-02-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 18, 'Contra Costa Regional', 'CAPT', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 19, 'San Diego Regional presented by Qualcomm', 'CASD', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 20, 'San Francisco Regional', 'CASF', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 21, 'Silicon Valley Regional', 'CASJ', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 22, 'Ventura County Regional', 'CAVE', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 23, 'FIRST Chesapeake District Championship presented by Qualcomm', 'CHCMP', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 24, 'FIRST Championship - FIRST Robotics Competition', 'CMPTX', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 25, 'Shanghai Regional', 'CNSH', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 26, 'Colorado Regional', 'CODE', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 27, 'NE District Hartford Event', 'CTHAR', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 28, 'NE District Waterbury Event', 'CTWAT', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 29, 'FIRST Championship - FIRST Robotics Competition - Curie Division', 'CURIE', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 30, 'FIRST Championship - FIRST Robotics Competition - Daly Division', 'DALY', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 31, 'Orlando Regional', 'FLOR', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 32, 'Tallahassee Regional', 'FLTA', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 33, 'South Florida Regional', 'FLWP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 34, 'PCH District Albany Event presented by Procter & Gamble', 'GAALB', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 35, 'Peachtree District Championship presented by Mercer University', 'GACMP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 36, 'PCH District Dalton Event presented by Shaw Industries', 'GADAL', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 37, 'PCH District Gainesville Event', 'GAGAI', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 38, 'PCH District Gwinnett Event presented by Gwinnett County School System', 'GAGWI', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 39, 'FIRST Championship - FIRST Robotics Competition - Galileo Division', 'GALILEO', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 40, 'PCH District Statesboro Event', 'GASTA', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 41, 'Hawaii Regional', 'HIHO', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 42, 'FIRST Championship - FIRST Robotics Competition - Hopper Division', 'HOPPER', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 43, 'Iowa Regional', 'IACF', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 44, 'Idaho Regional', 'IDBO', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 45, 'Midwest Regional', 'ILCH', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 46, 'Central Illinois Regional', 'ILPE', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 47, 'FIRST Indiana State Championship', 'INCMP', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 48, 'FIN District Kokomo Event', 'INKOK', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 49, 'FIN District Lafayette Event', 'INLAF', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 50, 'FIN District Mishawaka Event', 'INMIS', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 51, 'FIN District Washington Event presented by Toyota Indiana and Vincennes University', 'INWAS', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 52, 'FIRST Israel District Championship', 'ISCMP', '2025-03-25 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 53, 'ISR District Event #1', 'ISDE1', '2025-02-23 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 54, 'ISR District Event #2', 'ISDE2', '2025-02-25 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 55, 'ISR District Event #3', 'ISDE3', '2025-03-08 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 56, 'ISR District Event #4', 'ISDE4', '2025-03-10 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 57, 'FIRST Championship - FIRST Robotics Competition - Johnson Division', 'JOHNSON', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 58, 'Heartland Regional', 'KSLA', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 59, 'Bayou Regional', 'LAKE', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 60, 'NE District Greater Boston Event', 'MABOS', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 61, 'NE District Western NE Event', 'MAWNE', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 62, 'NE District WPI Event', 'MAWOR', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 63, 'CHS District Bethesda MD Event presented by Bechtel', 'MDBET', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 64, 'CHS District Pasadena MD Event presented by Plummer Industries', 'MDPAS', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 65, 'CHS District Severn MD Event presented by Ball Corp', 'MDSEV', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 66, 'NE District Southern Maine Event', 'MEFAL', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 67, 'NE District Pine Tree Event', 'MELEW', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 68, 'FIM District Battle Creek Event', 'MIBAT', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 69, 'FIM District Belleville Event presented by Autokiniton', 'MIBEL', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 70, 'FIM District Berrien Springs Event', 'MIBER', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 71, 'FIM District Ferris State Event presented by Ferris State', 'MIBIG', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 72, 'FIM District Jackson at Columbia Event presented by Consumers Energy Foundation', 'MIBKN', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 73, 'FIM District Woodhaven Event presented by Altair', 'MIBRO', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 74, 'FIRST in Michigan State Championship', 'MICMP', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 75, 'FIRST in Michigan State Championship - DTE Energy Foundation Division', 'MICMP1', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 76, 'FIRST in Michigan State Championship - Hemlock Semiconductor Division', 'MICMP2', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 77, 'FIRST in Michigan State Championship - Consumers Energy Division', 'MICMP3', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 78, 'FIRST in Michigan State Championship - Aptiv Division', 'MICMP4', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 79, 'FIM District Renaissance Event presented by DTE Foundation', 'MIDET', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 80, 'FIM District Wayne State Event presented by Magna', 'MIDTR', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 81, 'FIM District Escanaba Event presented by Highline Fast', 'MIESC', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 82, 'FIM District Ferndale Event presented by Magna', 'MiFER', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 83, 'FIM District Kettering University Event #2 presented by Haas Foundation', 'MIKE2', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 84, 'FIM District Kentwood Event presented by Dematic', 'MIKEN', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 85, 'FIM District Kettering University Event #1 presented by Haas Foundation', 'MIKET', '2025-02-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 86, 'FIM District Lake City Event', 'MILAC', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 87, 'FIM District Livonia Event presented by Aisin', 'MILIV', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 88, 'FIRST Championship - FIRST Robotics Competition - Milstein Division', 'MILSTEIN', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 89, 'FIM District LSSU Event presented by LSSU', 'MILSU', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 90, 'FIM District Mason Event presented by LIFT', 'MIMAS', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 91, 'FIM District Macomb Event presented by DTE', 'MIMCC', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 92, 'FIM District Midland Event presented by Dow', 'MIMID', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 93, 'FIM District Milford Event presented by GM Milford Proving Grounds', 'MIMIL', '2025-02-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 94, 'FIM District Mt. Pleasant Event', 'MIMTP', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 95, 'FIM District Muskegon Event presented by RENK', 'MIMUS', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 96, 'FIM District Saline Event presented by DTE', 'MISAL', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 97, 'FIM District St. Joseph Event presented by Whirlpool', 'MISJO', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 98, 'FIM District Troy Event presented by Aptiv Foundation', 'MITRY', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 99, 'FIM District Traverse City Event presented by Cone Drive', 'MITVC', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 100, 'FIM District West Michigan Event', 'MIWMI', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 101, 'Lake Superior Regional', 'MNDU', '2025-02-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 102, 'Northern Lights Regional', 'MNDU2', '2025-02-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 103, 'Minnesota 10,000 Lakes Regional', 'MNMI', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 104, 'Minnesota Granite City Regional', 'MNMI2', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 105, 'Minnesota North Star Regional', 'MNUM', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 106, 'Greater Kansas City Regional', 'MOKC', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 107, 'Central Missouri Regional', 'MOSE', '2025-03-05 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 108, 'St. Louis Regional', 'MOSL', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 109, 'FIRST Mid-Atlantic District Championship', 'MRCMP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 110, 'Magnolia Regional', 'MSLR', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 111, 'Regional Leon presented by PrepaTec', 'MXLE', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 112, 'Regional Monterrey presented by PrepaTec', 'MXMO', '2025-02-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 113, 'Regional Laguna presented by Peñoles', 'MXTO', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 114, 'FNC District UNC Asheville Event', 'NCASH', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 115, 'FNC District Catawba County Event', 'NCCAT', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 116, 'FIRST North Carolina State Championship', 'NCCMP', '2025-04-04 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 117, 'FNC District Pitt County Event', 'NCGRE', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 118, 'FNC District Mecklenburg County Event', 'NCMEC', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 119, 'FNC District UNC Pembroke Event', 'NCPEM', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 120, 'FNC District Wake County Event', 'NCWAK', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 121, 'Great Northern Regional', 'NDGF', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 122, 'New England FIRST District Championship', 'NECMP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 123, 'New England FIRST District Championship - Ballard Division', 'NECMP1', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 124, 'New England FIRST District Championship - Sosik Division', 'NECMP2', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 125, 'FIRST Championship - FIRST Robotics Competition - Newton Division', 'NEWTON', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 126, 'NE District UNH Event', 'NHDUR', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 127, 'NE District Granite State Event', 'NHSAL', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 128, 'FMA District Mount Olive Event', 'NJFLA', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 129, 'FMA District Robbinsville Event', 'NJROB', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 130, 'FMA District Montgomery Event', 'NJSKI', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 131, 'FMA District Seneca Event', 'NJTAB', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 132, 'FMA District Warren Hills Event', 'NJWAS', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 133, 'New Taipei City Regional', 'NTWC', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 134, 'Las Vegas Regional', 'NVLV', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 135, 'FIRST Long Island Regional', 'NYLI2', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 136, 'New York City Regional', 'NYNY', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 137, 'Finger Lakes Regional', 'NYRO', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 138, 'Hudson Valley Regional', 'NYSU', '2025-03-05 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 139, 'New York Tech Valley Regional', 'NYTR', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 140, 'Buckeye Regional', 'OHCL', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 141, 'Miami Valley Regional', 'OHMV', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 142, 'Oklahoma Regional', 'OKOK', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 143, 'Green Country Regional', 'OKTU', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 144, 'FIRST Ontario Provincial Championship', 'ONCMP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 145, 'FIRST Ontario Provincial Championship - Science Division', 'ONCMP1', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 146, 'FIRST Ontario Provincial Championship - Technology Division', 'ONCMP2', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 147, 'ONT District McMaster University', 'ONHAM', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 148, 'ONT District Newmarket Event', 'ONNEW', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 149, 'ONT District North Bay Event', 'ONNOB', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 150, 'ONT District Durham College Event', 'ONOSH', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 151, 'ONT District Centennial College Event', 'ONSCA', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 152, 'ONT District Humber Polytechnic Event', 'ONTOR', '2025-03-17 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 153, 'ONT District University of Waterloo Event', 'ONWAT', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 154, 'ONT District Niagara College Event', 'ONWEL', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 155, 'ONT District Windsor Essex Great Lake Event', 'ONWIN', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 156, 'PNW District Clackamas Academy Event', 'ORORE', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 157, 'PNW District Oregon State Fair Event', 'ORSAL', '2025-02-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 158, 'PNW District Wilsonville Event', 'ORWIL', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 159, 'FMA District Bensalem Event', 'PABEN', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 160, 'Greater Pittsburgh Regional', 'PACA', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 161, 'FMA District Hatboro-Horsham Event', 'PAHAT', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 162, 'FMA District Springside Chestnut Hill Event', 'PAPHI', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 163, 'FMA District Centennial Event', 'PAWAR', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 164, 'Pacific Northwest FIRST District Championship', 'PNCMP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 165, 'Festival de Robotique Regional', 'QCMO', '2025-03-05 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 166, 'NE District URI Event', 'RIKIN', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 167, 'FSC District North Charleston Event presented by South Carolina Department of Education', 'SCCHA', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 168, 'FIRST South Carolina State Championship presented by Magna', 'SCCMP', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 169, 'FSC District Hartsville Event', 'SCHAR', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 170, 'Smoky Mountains Regional', 'TNKN', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 171, 'Ankara Regional', 'TUAK', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 172, 'Haliç Regional', 'TUHC', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 173, 'İstanbul Regional', 'TUIS', '2025-03-04 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 174, 'Bosphorus Regional', 'TUIS2', '2025-03-04 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 175, 'Marmara Regional', 'TUIS3', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 176, 'FIT District Amarillo Event', 'TXAMA', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 177, 'FIT District Belton Event', 'TXBEL', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 178, 'FIT District Space City @ Friendswood Event', 'TXCLE', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 179, 'FIRST In Texas District Championship', 'TXCMP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 180, 'FIRST In Texas District Championship - Mercury Division', 'TXCMP1', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 181, 'FIRST In Texas District Championship - Apollo Division', 'TXCMP2', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 182, 'FIT District Fort Worth Event', 'TXFOR', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 183, 'FIT District Houston Event', 'TXHOU', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 184, 'FIT District Manor Event', 'TXMAN', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 185, 'FIT District Plano Event', 'TXPLA', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 186, 'FIT District San Antonio Event', 'TXSAN', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 187, 'FIT District Tomball Event', 'TXTOM', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 188, 'FIT District Victoria Event', 'TXVIC', '2025-03-15 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 189, 'FIT District Waco Event', 'TXWAC', '2025-02-27 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 190, 'Utah Regional', 'UTWV', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 191, 'CHS District Alexandria VA Event presented by US Department of Energy', 'VAALE', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 192, 'CHS District Blacksburg VA Event presented by Volvo', 'VABLA', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 193, 'CHS District Glen Allen VA Event presented by Herndon Foundation', 'VAGLE', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 194, 'CHS District Portsmouth VA Event presented by Newport News Shipyard', 'VAPOR', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 195, 'NE District UVM Event', 'VTBUR', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 196, 'PNW District Auburn Event', 'WAAHS', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 197, 'PNW District Bonney Lake Event', 'WABON', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 198, 'PNW District Sammamish Event', 'WASAM', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 199, 'PNW District Glacier Peak Event', 'WASNO', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 200, 'PNW District SunDome Event', 'WAYAK', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 201, 'Week 0', 'WEEK0', '2025-02-15 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 202, 'Seven Rivers Regional', 'WILA', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 203, 'Wisconsin Regional', 'WIMI', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0\n" +
        "UNION SELECT 204, 'Phantom Lakes Regional', 'WIMU', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0;",
    
        "CREATE TABLE IF NOT EXISTS fact_match_data_2025 (\n" +
        "    id integer primary key autoincrement,\n" +
        "    event_id int(4) NOT NULL,\n" +
        "    team_id int(5) NOT NULL,\n" +
        "    match_id int(4) NOT NULL,\n" +
        "    practice_match tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    position_id int(3) NOT NULL,\n" +
        "    auto_barge_zone_id int(3) NOT NULL,\n" +
        "    auto_first_face_id int(3) NOT NULL,\n" +
        "    auto_ground_face_id int(3) NOT NULL,\n" +
        "    auto_leave tinyint(1) NOT NULL,\n" +
        "    auto_player_center_l1_score int(3) NOT NULL,\n" +
        "    auto_player_center_l2_score int(3) NOT NULL,\n" +
        "    auto_player_center_l3_score int(3) NOT NULL,\n" +
        "    auto_player_center_l4_score int(3) NOT NULL,\n" +
        "    auto_player_center_l1_miss int(3) NOT NULL,\n" +
        "    auto_player_center_l2_miss int(3) NOT NULL,\n" +
        "    auto_player_center_l3_miss int(3) NOT NULL,\n" +
        "    auto_player_center_l4_miss int(3) NOT NULL,\n" +
        "    auto_player_left_l1_score int(3) NOT NULL,\n" +
        "    auto_player_left_l2_score int(3) NOT NULL,\n" +
        "    auto_player_left_l3_score int(3) NOT NULL,\n" +
        "    auto_player_left_l4_score int(3) NOT NULL,\n" +
        "    auto_player_left_l1_miss int(3) NOT NULL,\n" +
        "    auto_player_left_l2_miss int(3) NOT NULL,\n" +
        "    auto_player_left_l3_miss int(3) NOT NULL,\n" +
        "    auto_player_left_l4_miss int(3) NOT NULL,\n" +
        "    auto_player_right_l1_score int(3) NOT NULL,\n" +
        "    auto_player_right_l2_score int(3) NOT NULL,\n" +
        "    auto_player_right_l3_score int(3) NOT NULL,\n" +
        "    auto_player_right_l4_score int(3) NOT NULL,\n" +
        "    auto_player_right_l1_miss int(3) NOT NULL,\n" +
        "    auto_player_right_l2_miss int(3) NOT NULL,\n" +
        "    auto_player_right_l3_miss int(3) NOT NULL,\n" +
        "    auto_player_right_l4_miss int(3) NOT NULL,\n" +
        "    auto_far_center_l1_score int(3) NOT NULL,\n" +
        "    auto_far_center_l2_score int(3) NOT NULL,\n" +
        "    auto_far_center_l3_score int(3) NOT NULL,\n" +
        "    auto_far_center_l4_score int(3) NOT NULL,\n" +
        "    auto_far_center_l1_miss int(3) NOT NULL,\n" +
        "    auto_far_center_l2_miss int(3) NOT NULL,\n" +
        "    auto_far_center_l3_miss int(3) NOT NULL,\n" +
        "    auto_far_center_l4_miss int(3) NOT NULL,\n" +
        "    auto_far_left_l1_score int(3) NOT NULL,\n" +
        "    auto_far_left_l2_score int(3) NOT NULL,\n" +
        "    auto_far_left_l3_score int(3) NOT NULL,\n" +
        "    auto_far_left_l4_score int(3) NOT NULL,\n" +
        "    auto_far_left_l1_miss int(3) NOT NULL,\n" +
        "    auto_far_left_l2_miss int(3) NOT NULL,\n" +
        "    auto_far_left_l3_miss int(3) NOT NULL,\n" +
        "    auto_far_left_l4_miss int(3) NOT NULL,\n" +
        "    auto_far_right_l1_score int(3) NOT NULL,\n" +
        "    auto_far_right_l2_score int(3) NOT NULL,\n" +
        "    auto_far_right_l3_score int(3) NOT NULL,\n" +
        "    auto_far_right_l4_score int(3) NOT NULL,\n" +
        "    auto_far_right_l1_miss int(3) NOT NULL,\n" +
        "    auto_far_right_l2_miss int(3) NOT NULL,\n" +
        "    auto_far_right_l3_miss int(3) NOT NULL,\n" +
        "    auto_far_right_l4_miss int(3) NOT NULL,\n" +
        "    auto_processor_score int(3) NOT NULL,\n" +
        "    auto_processor_miss int(3) NOT NULL,\n" +
        "    auto_net_score int(3) NOT NULL,\n" +
        "    auto_net_miss int(3) NOT NULL,\n" +
        "    auto_l2_algae_removed int(3) NOT NULL,\n" +
        "    auto_l3_algae_removed int(3) NOT NULL,\n" +
        "    auto_coral_intake_ground_left tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    auto_coral_intake_ground_center tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    auto_coral_intake_ground_right tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    auto_algae_intake_ground_left tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    auto_algae_intake_ground_center tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    auto_algae_intake_ground_right tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    auto_algae_discarded tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    auto_feeder_station_id int(3) NOT NULL DEFAULT '0',\n" +
        "    auto_stop tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    player_center_l1_score int(3) NOT NULL,\n" +
        "    player_center_l2_score int(3) NOT NULL,\n" +
        "    player_center_l3_score int(3) NOT NULL,\n" +
        "    player_center_l4_score int(3) NOT NULL,\n" +
        "    player_center_l1_miss int(3) NOT NULL,\n" +
        "    player_center_l2_miss int(3) NOT NULL,\n" +
        "    player_center_l3_miss int(3) NOT NULL,\n" +
        "    player_center_l4_miss int(3) NOT NULL,\n" +
        "    player_left_l1_score int(3) NOT NULL,\n" +
        "    player_left_l2_score int(3) NOT NULL,\n" +
        "    player_left_l3_score int(3) NOT NULL,\n" +
        "    player_left_l4_score int(3) NOT NULL,\n" +
        "    player_left_l1_miss int(3) NOT NULL,\n" +
        "    player_left_l2_miss int(3) NOT NULL,\n" +
        "    player_left_l3_miss int(3) NOT NULL,\n" +
        "    player_left_l4_miss int(3) NOT NULL,\n" +
        "    player_right_l1_score int(3) NOT NULL,\n" +
        "    player_right_l2_score int(3) NOT NULL,\n" +
        "    player_right_l3_score int(3) NOT NULL,\n" +
        "    player_right_l4_score int(3) NOT NULL,\n" +
        "    player_right_l1_miss int(3) NOT NULL,\n" +
        "    player_right_l2_miss int(3) NOT NULL,\n" +
        "    player_right_l3_miss int(3) NOT NULL,\n" +
        "    player_right_l4_miss int(3) NOT NULL,\n" +
        "    far_center_l1_score int(3) NOT NULL,\n" +
        "    far_center_l2_score int(3) NOT NULL,\n" +
        "    far_center_l3_score int(3) NOT NULL,\n" +
        "    far_center_l4_score int(3) NOT NULL,\n" +
        "    far_center_l1_miss int(3) NOT NULL,\n" +
        "    far_center_l2_miss int(3) NOT NULL,\n" +
        "    far_center_l3_miss int(3) NOT NULL,\n" +
        "    far_center_l4_miss int(3) NOT NULL,\n" +
        "    far_left_l1_score int(3) NOT NULL,\n" +
        "    far_left_l2_score int(3) NOT NULL,\n" +
        "    far_left_l3_score int(3) NOT NULL,\n" +
        "    far_left_l4_score int(3) NOT NULL,\n" +
        "    far_left_l1_miss int(3) NOT NULL,\n" +
        "    far_left_l2_miss int(3) NOT NULL,\n" +
        "    far_left_l3_miss int(3) NOT NULL,\n" +
        "    far_left_l4_miss int(3) NOT NULL,\n" +
        "    far_right_l1_score int(3) NOT NULL,\n" +
        "    far_right_l2_score int(3) NOT NULL,\n" +
        "    far_right_l3_score int(3) NOT NULL,\n" +
        "    far_right_l4_score int(3) NOT NULL,\n" +
        "    far_right_l1_miss int(3) NOT NULL,\n" +
        "    far_right_l2_miss int(3) NOT NULL,\n" +
        "    far_right_l3_miss int(3) NOT NULL,\n" +
        "    far_right_l4_miss int(3) NOT NULL,\n" +
        "    processor_score int(3) NOT NULL,\n" +
        "    processor_miss int(3) NOT NULL,\n" +
        "    net_score int(3) NOT NULL,\n" +
        "    net_miss int(3) NOT NULL,\n" +
        "    l2_algae_removed int(3) NOT NULL,\n" +
        "    l3_algae_removed int(3) NOT NULL,\n" +
        "    controlled_algae_removal tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_launch_algae_over_barge tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_propel_algae_through_barge tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_place_algae_precisely tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    scores_allowed_while_def int(3) NOT NULL,\n" +
        "    algae_stolen_from_opp int(3) NOT NULL,\n" +
        "    algae_stolen_by_opp tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    deep_climb_success tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    deep_climb_unsuccessful_attempt tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    shallow_climb_success tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    shallow_climb_unsuccessful_attempt tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    barge_park tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    buddy_climb tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    degraded_performance tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    degrade_causes_id int(3) NOT NULL DEFAULT '0',\n" +
        "    causes_penalties tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    yellow_card tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    red_card tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    no_show tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    no_show_w_rep tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    notes text NOT NULL,\n" +
        "    invalid tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    timestamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP\n" +
        ");",
    
        "CREATE TABLE IF NOT EXISTS game_info (\n" +
        "    id integer primary key autoincrement,\n" +
        "    keystring text NOT NULL,\n" +
        "    intvalue int(15) NOT NULL,\n" +
        "    stringval text NOT NULL,\n" +
        "    timestamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,\n" +
        "    invalid tinyint(1) NOT NULL DEFAULT '0'\n" +
        ");",
    
        "INSERT INTO game_info\n" +
        "SELECT 1 AS id, 'sta_none' AS keystring, 0 AS intvalue, 'Feeder Station None' AS stringval, '2025-01-20 12:00:00' AS timestamp, 0 AS invalid\n" +
        "UNION SELECT 2, 'sta_left', 1, 'Feeder Station Left', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 3, 'sta_right', 2, 'Feeder Station Right', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 4, 'sta_both', 3, 'Feeder Station Both', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 5, 'face_pc', 4, 'Player Center Face', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 6, 'face_pl', 5, 'Player Left Face', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 7, 'face_fl', 6, 'Far Left Face', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 8, 'face_fc', 7, 'Far Center Face', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 9, 'face_fr', 8, 'Far Right Face', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 10, 'face_pr', 9, 'Player Right Face', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 11, 'barge_l', 10, 'Barge Left Zone', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 12, 'barge_cl', 11, 'Barge Center Left Zone', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 13, 'barge_c', 12, 'Barge Center Zone', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 14, 'barge_cr', 13, 'Barge Center Right Zone', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 15, 'barge_r', 14, 'Barge Right Zone', '2025-01-20 12:00:00', 0;",
    
        "CREATE TABLE IF NOT EXISTS notes_options (\n" +
        "    id integer primary key autoincrement,\n" +
        "    option_text text NOT NULL,\n" +
        "    timestamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,\n" +
        "    invalid tinyint(1) NOT NULL DEFAULT '0'\n" +
        ");",
    
        "CREATE TABLE IF NOT EXISTS position_lu (\n" +
        "    id integer primary key autoincrement,\n" +
        "    position text NOT NULL,\n" +
        "    timestamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,\n" +
        "    invalid tinyint(1) NOT NULL DEFAULT '0'\n" +
        ");",
    
        "INSERT INTO position_lu\n" +
        "SELECT 1 AS id, 'Red 1' AS position, '2015-02-12 00:30:10' AS timestamp, 0 AS invalid\n" +
        "UNION SELECT 2, 'Red 2', '2015-02-12 00:30:10', 0\n" +
        "UNION SELECT 3, 'Red 3', '2015-02-12 00:30:36', 0\n" +
        "UNION SELECT 4, 'Blue 1', '2015-02-12 00:30:36', 0\n" +
        "UNION SELECT 5, 'Blue 2', '2015-02-12 00:30:50', 0\n" +
        "UNION SELECT 6, 'Blue 3', '2015-02-12 00:30:50', 0;",
    
        "CREATE TABLE IF NOT EXISTS robot_cg_lu (\n" +
        "    id integer primary key autoincrement,\n" +
        "    cg_type text NOT NULL,\n" +
        "    timestamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,\n" +
        "    invalid tinyint(1) NOT NULL DEFAULT '0'\n" +
        ");",
    
        "INSERT INTO robot_cg_lu\n" +
        "SELECT 1 AS id, 'Unknown' AS cg_type, '2025-01-20 12:00:00' AS timestamp, 0 AS invalid\n" +
        "UNION SELECT 2, 'Low', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 3, 'Middle', '2025-01-20 12:00:00', 0\n" +
        "UNION SELECT 4, 'High', '2025-01-20 12:00:00', 0;",
    
        "CREATE TABLE IF NOT EXISTS robot_lu (\n" +
        "    id integer primary key autoincrement,\n" +
        "    team_id int(5) NOT NULL,\n" +
        "    robot_photo text NOT NULL,\n" +
        "    timestamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,\n" +
        "    invalid tinyint(1) NOT NULL DEFAULT '0'\n" +
        ");",
    
        "CREATE TABLE IF NOT EXISTS scout_pit_data_2025 (\n" +
        "    id integer primary key autoincrement,\n" +
        "    event_id int(4) NOT NULL,\n" +
        "    team_id int(5) NOT NULL,\n" +
        "    pass_number int(2) NOT NULL DEFAULT '0',\n" +
        "    robot_inspection_weight_lbs float(5) NOT NULL,\n" +
        "    robot_wheel_width_in float(5) NOT NULL,\n" +
        "    drive_id int(3) NOT NULL,\n" +
        "    robot_cg_id int(3) NOT NULL DEFAULT '1',\n" +
        "    can_score_proc tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_reef_intake_algae tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_ground_intake_algae tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_ground_intake_coral tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_station_intake_coral tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_remove_algae_l2 tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_remove_algae_l3 tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_carry_both_simul tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_score_on_intake_side tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_score_opp_intake_side tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_score_perp_intake_side tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    has_coral_tunnel tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_manip_coral_angle tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    can_extend_arm_in_motion tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    coral_scoring_side_width_in float(5) NOT NULL,\n" +
        "    coral_intake_side_width_in float(5) NOT NULL,\n" +
        "    notes text NOT NULL,\n" +
        "    invalid tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    timestamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP\n" +
        ");",
    
        "CREATE TABLE IF NOT EXISTS superscout_data_2025 (\n" +
        "    id integer primary key autoincrement,\n" +
        "    event_id int(4) NOT NULL,\n" +
        "    team_id int(5) NOT NULL,\n" +
        "    match_id int(4) NOT NULL,\n" +
        "    practice_match tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    position_id int(3) NOT NULL,\n" +
        "    robot_drive_speed int(1) NOT NULL DEFAULT '0',\n" +
        "    time_to_opp_algae float(5) NOT NULL DEFAULT '0.0',\n" +
        "    coral_intake_speed_ground int(1) NOT NULL DEFAULT '0',\n" +
        "    coral_intake_speed_station int(1) NOT NULL DEFAULT '0',\n" +
        "    algae_intake_speed_ground int(1) NOT NULL DEFAULT '0',\n" +
        "    algae_intake_speed_reef int(1) NOT NULL DEFAULT '0',\n" +
        "    opportunistic_defense int(1) NOT NULL DEFAULT '0',\n" +
        "    algae_removal_speed int(1) NOT NULL DEFAULT '0',\n" +
        "    net_scoring_speed int(1) NOT NULL DEFAULT '0',\n" +
        "    processor_scoring_speed int(1) NOT NULL DEFAULT '0',\n" +
        "    l1_scoring_speed int(1) NOT NULL DEFAULT '0',\n" +
        "    l2_l3_scoring_speed int(1) NOT NULL DEFAULT '0',\n" +
        "    l4_scoring_speed int(1) NOT NULL DEFAULT '0',\n" +
        "    l2_l3_difference tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    easily_defended tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    tippy int(1) NOT NULL DEFAULT '0',\n" +
        "    notes text NOT NULL,\n" +
        "    invalid tinyint(1) NOT NULL DEFAULT '0',\n" +
        "    timestamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP\n" +
        ");"
    };

    public static final String[] SQL_DELETE_ENTRIES = {
        "DROP TABLE IF EXISTS degrade_lu;",
        "DROP TABLE IF EXISTS drive_lu;",
        "DROP TABLE IF EXISTS event_lu;",
        "DROP TABLE IF EXISTS fact_match_data_2025;",
        "DROP TABLE IF EXISTS game_info;",
        "DROP TABLE IF EXISTS notes_options;",
        "DROP TABLE IF EXISTS position_lu;",
        "DROP TABLE IF EXISTS robot_cg_lu;",
        "DROP TABLE IF EXISTS robot_lu;",
        "DROP TABLE IF EXISTS scout_pit_data_2025;",
        "DROP TABLE IF EXISTS superscout_data_2025;"
    };

}